Bug 62026 - email control panel applet doesn't fill in defaults
email control panel applet doesn't fill in defaults
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-03-26 15:59 EST by Preston Brown
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-12 12:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preston Brown 2002-03-26 15:59:27 EST
Description of Problem: 
The e-mail control panel applet doesn't fill in any defaults. 
 
Version-Release number of selected component (if applicable): 
kdebase-3.0.0-0.cvs20020314.4 
 
How Reproducible: 
Always 
 
Steps to Reproduce: 
1. start the e-mail control panel program 
 
Actual Results: 
None of the fields are filled in 
 
Expected Results: 
At least full name and default e-mail address are guessed at from /etc/passwd and the 
computer's hostname.
Comment 1 Bernhard Rosenkraenzer 2002-04-12 12:46:35 EDT
This works here, and the code looks correct.  
startkde does this:  
  
if [ ! -e "$HOME"/.kde/share/config/emaildefaults ]; then  
  /usr/bin/mailsettings >"$HOME"/.kde/share/config/emaildefaults  
fi  
 
Where mailsettings generates a valid emaildefaults file, as read by kcontrol, such as 
[Defaults] 
Profile=Default 
[PROFILE_Default] 
EmailAddress=bero@stuttgart.redhat.com 
EmailClient=kmail 
FullName=Bernhard Rosenkraenzer 
IncomingServer=/var/mail/bero 
IncomingServerType=localbox 
OutgoingCommand=/usr/sbin/sendmail 
OutgoingServerType=local 
TerminalClient=false 
 
 
By any chance, did you see this on a box with a manually modified emaildefaults file?
Comment 2 Preston Brown 2002-04-18 10:50:56 EDT
 it was an upgrade, and the file may have been buggered from before.  Seems to work for new 
accounts.  Good enough.

Note You need to log in before you can comment on or make changes to this bug.